# List Organisations Endpoint: GET /organisation Version: v1 Security: x-api-key, a-api-key ## Query parameters: - `page` (integer) Example: 1 - `page_size` (integer) Example: 50 - `sort_by` (array) Comma separated search fields. See Sorting Example: ["[\"field_name\",\"field_name\"]"] - `q[]` (array) Filter result by one or more fields. See Query Filtering Available filters: | Value | Format | |---|---| | description | string | | active | boolean | ## Response 200 fields (application/json): - `organisations` (array) - `organisations.row_num` (integer) - `organisations.total_rows` (integer) - `organisations.links` (object) - `organisations.links.self` (string) Example: "https://api.pracsuite.com/v1/organisation/1" - `organisations.tenant_id` (integer) - `organisations.organisation_id` (integer) - `organisations.description` (string) - `organisations.address_1` (string) - `organisations.address_2` (string) - `organisations.address_3` (string) - `organisations.address_4` (string) - `organisations.suburb` (string) - `organisations.address_state` (string) - `organisations.postcode` (string) - `organisations.country` (string) - `organisations.phone` (string) - `organisations.fax` (string) - `organisations.email` (string) - `organisations.notes` (string) - `organisations.contact` (string) - `organisations.active` (boolean) - `organisations.website` (string) - `total_entries` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"